#======
# Copyright (c) IBM Corp. 2011, 2014.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======


from modules.i18n.i18n import _

#
# CONSTANTS
#

ERROR_CANNOT_DETECT_INSTALLED_SYSTEM = _("ERROR: Cannot detect installed system, impossible to upgrade")
ERROR_CANNOT_DETECT_INSTALLED_SYSTEM_VERSION = _("ERROR: Cannot detect installed system version, impossible to upgrade")
ERROR_CANNOT_FAST_FORWARD_UPGRADES = _("ERROR: Cannot fast forward upgrades, impossible to upgrade")
ERROR_INSTALLED_SYSTEM_IS_NEWER = _("ERROR: Installed system is newer, impossible to upgrade")
ERROR_UPGRADE_FAILED = _("ERROR: Upgrade failed.")
ERROR_WHILE_INSTALLING_IBM_POWERKVM = _("Error while installing IBM PowerKVM into disk %s")
FORMATTING_DISKS = _('Formatting disks...')
FORMATTING_ROOT_DEVICE_TO_REINSTALL = _('Formatting root device to reinstall system')
INSTALLING_IBM_POWERKVM_INTO_DISK = _("Installing IBM PowerKVM into disk %s...")
INSTALL_IBM_POWERKVM = _("Install IBM PowerKVM")
PROCEED_TO_UPGRADE_THE_SYSTEM = _("Proceed to upgrade the system?")
REINSTALL_IBM_POWERKVM = _('Reinstall IBM PowerKVM')
RESCUE_MODE_GOES_TO_TERMINAL = _("Rescue mode (goes to terminal)")
RUNNING_POST_UPGRADE_SCRIPTS = _('Running Post Upgrade Scripts')
SYSTEM_INSTALLED_STARTING_POST = _("System Installed. Starting post install scripts.")
UPGRADE_CONCLUDED = _('Upgrade concluded!')
UPGRADE_INSTALLED_IBM_POWERKVM = _('Upgrade installed IBM PowerKVM')
GETTING_DISK_INFORMATION = _('Getting disk information...')
