#!/usr/bin/python

#======
# Copyright (c) IBM Corp. 2011, 2014.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======



#
# IMPORTS
#
import sys

from snack import *
from ui.backend import env as Env
from ui.systemupdate.updateprogress import UpdateProgress


#
# CONSTANTS
#


#
# CODE
#
if __name__ == "__main__":
    Env.set('systemupdate.disk', sys.argv[1])
    Env.set('systemupdate.filesystem', sys.argv[2])

    rc = -1

    while rc == -1:
        screen = SnackScreen()
        window = UpdateProgress(screen)
        rc = window.run()
        screen.finish()
