#======
# Copyright (c) IBM Corp. 2011, 2014.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======


# Project root path.
RUN_DIR = '/opt/ibm/powerkvm'

# Root filesystem image
ROOTFS_IMG = '/mnt/rootfs.img'

# New root filesystem image
NEW_ROOTFS_IMG = 'newrootfs.img'

# Error file: indicates the installation or update process failed
OPERATION_FAILED = '/opt/ibm/powerkvm/control/.install-failed'

# Information file: contains information about the installation or update process
OPERATION_INFO = '/opt/ibm/powerkvm/control/.install-info'

# Progress file: indicates the operation progress
OPERATION_PROGRESS = '/opt/ibm/powerkvm/control/.install-progress'

# Success file: indicates the operation successfully completes
OPERATION_COMPLETED = '/opt/ibm/powerkvm/control/.install-success'

# PowerKVM partition layout
PARTITION_LAYOUT= '/opt/ibm/powerkvm/ui/backend/config/partition.layout'

# PowerKVM functions
POWERKVM_FUNCTIONS = '/opt/ibm/powerkvm/powerkvm-functions'

# Path to default yaboot.conf file
DEFAULT_YABOOT_CONF = '/opt/ibm/powerkvm/config/yaboot.conf'

# path to tarball file that contains the PowerKVM repo
TARBALL_REPO = '/mnt/powerkvm-repo.tar.gz'

# path to the PowerKVM repo
POWERKVM_REPO = '/tmp/repo'

# Repo config
REPO_CONFIG = '/opt/ibm/powerkvm/config/powerkvm.repo'

# Path to the script that update system packages
UPDATE_PKGS_SCRIPT = '/opt/ibm/powerkvm/ui/backend/updatepackages.py'

# Cow backup
COW_BACKUP = 'cow-bkp.tar.gz'
